# FOSRest Configuration
fos_rest:
    body_listener: true
    versioning:
        enabled: true
        default_version: v1
        resolvers:
            query:
                enabled: true
                parameter_name: version
    format_listener:
        rules:
            - { path: '^/', priorities: [ html, json, xml ], fallback_format: html, prefer_extension: true }
            - { path: '^/api', priorities: [json,csv,xml], fallback_format: json, prefer_extension: true }
    param_fetcher_listener: 'force'
    view:
        default_engine: php
        view_response_listener: force
        force_redirects:
            json: true
            html: true
            xml: true
        formats:
            jsonp: true
            json: true
            xml: true
            rss: false
        templating_formats:
            html: true
        mime_types:
            json: ['application/json', 'application/x-json', 'application/vnd.example-com.foo+json']
            rss: 'application/rss+xml'
            jpg: 'image/jpeg'
            png: 'image/png'
            csv: ['text/csv','text/plain']
        jsonp_handler: ~
